| Version: 3.1.5

Classes | Enumerations
dcsvg.h File Reference

## Classes
class | wxSVGFileDC
| A wxSVGFileDC is a device context onto which graphics and text can be drawn, and the output produced as a vector file, in SVG format. More...
class | wxSVGBitmapHandler
| Abstract base class for handling bitmaps inside a wxSVGFileDC. More...
class | wxSVGBitmapEmbedHandler
| Handler embedding bitmaps as base64-encoded PNGs into the SVG. More...
class | wxSVGBitmapFileHandler
| Handler saving bitmaps to external PNG files and linking to it from the SVG. More...

## Enumerations
enum | wxSVGShapeRenderingMode { wxSVG_SHAPE_RENDERING_AUTO = 0 , wxSVG_SHAPE_RENDERING_OPTIMIZE_SPEED , wxSVG_SHAPE_RENDERING_CRISP_EDGES , wxSVG_SHAPE_RENDERING_GEOMETRIC_PRECISION , wxSVG_SHAPE_RENDERING_OPTIMISE_SPEED = wxSVG_SHAPE_RENDERING_OPTIMIZE_SPEED }
| SVG shape rendering mode. More...

## Enumeration Type Documentation

## ◆ wxSVGShapeRenderingMode

enum wxSVGShapeRenderingMode

SVG shape rendering mode.

These options represent the values defined in the SVG specification: https://svgwg.org/svg2-draft/painting.html#ShapeRenderingProperty

Enumerator
wxSVG_SHAPE_RENDERING_AUTO |
wxSVG_SHAPE_RENDERING_OPTIMIZE_SPEED |
wxSVG_SHAPE_RENDERING_CRISP_EDGES |
wxSVG_SHAPE_RENDERING_GEOMETRIC_PRECISION |
wxSVG_SHAPE_RENDERING_OPTIMISE_SPEED |